db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew McIntyre <mcintyr...@gmail.com>
Subject Re: tar error unpacking Derby 10.1.1.0 gzipped libraries
Date Mon, 12 Sep 2005 21:12:58 GMT

On Sep 12, 2005, at 1:49 PM, Rick Hillegas wrote:

> I downloaded the Derby 10.1.1.0 gzipped libraries (db- 
> derby-10.1.1.0-lib.tar.gz <http://apache.mirror99.com/db/derby/db- 
> derby-10.1.1.0/db-derby-10.1.1.0-lib.tar.gz>) and when I untarred  
> the contents, tar complained "A lone zero block at 14410". I didn't  
> have any trouble downloading and unpacking the corresponding zip  
> version (db-derby-10.1.1.0-lib.zip <http://apache.mirror99.com/db/ 
> derby/db-derby-10.1.1.0/db-derby-10.1.1.0-lib.zip>). I also had no  
> trouble downloading and unpacking the gzipped 10.0.2.1 libraries.  
> I'm using cygwin on xp to unpack these distributions.

This is a known warning when using certain versions of GNU tar with  
Ant-created tar files. See:

http://lists.gnu.org/archive/html/bug-tar/2004-03/msg00026.html
http://lists.gnu.org/archive/html/bug-tar/2004-03/msg00027.html

It looks like a serious error, but it's really just a warning. The  
archive should be extractable, the jar files inside should verify.  
I've verified that this is the case with the tar file linked above.

andrew

Mime
View raw message